summaryrefslogtreecommitdiffstats
path: root/desktop/emerald-themes
diff options
context:
space:
mode:
author David Somero2010-05-11 22:53:20 +0200
committer Robby Workman2010-05-11 22:53:20 +0200
commit0ffe6473aae2ba908d9c9fd5b8a1abc820176f7c (patch)
tree86c6d98e2ee0f1fa3b582cb871cd83a936fbc096 /desktop/emerald-themes
parent97859887f5aca460680419628e5fbc2607943980 (diff)
downloadslackbuilds-0ffe6473aae2ba908d9c9fd5b8a1abc820176f7c.tar.gz
desktop/emerald-themes: Added to 12.1 repository
Diffstat (limited to 'desktop/emerald-themes')
-rw-r--r--desktop/emerald-themes/README16
-rw-r--r--desktop/emerald-themes/emerald-themes.SlackBuild95
-rw-r--r--desktop/emerald-themes/emerald-themes.info8
-rw-r--r--desktop/emerald-themes/slack-desc19
4 files changed, 138 insertions, 0 deletions
diff --git a/desktop/emerald-themes/README b/desktop/emerald-themes/README
new file mode 100644
index 0000000000..7284150b2b
--- /dev/null
+++ b/desktop/emerald-themes/README
@@ -0,0 +1,16 @@
+Extra themes for the Emerald Window Decorator.
+
+Suggested build order:
+ 1. compiz-bcop
+ 2. libcompizconfig
+ 3. compizconfig-backend-kconfig (optional)
+ 4. compizconfig-backend-gconf (optional)
+ 5. compizconfig-python
+ 6. ccsm
+ 7. simple-ccsm (optional)
+ 8. compiz-fusion-plugins-main
+ 9. compiz-fusion-plugins-extra (optional)
+10. compiz-fusion-plugins-unsupported (optional)
+11. emerald (optional)
+12. emerald-themes (optional)
+13. fusion-icon (optional)
diff --git a/desktop/emerald-themes/emerald-themes.SlackBuild b/desktop/emerald-themes/emerald-themes.SlackBuild
new file mode 100644
index 0000000000..930b37b992
--- /dev/null
+++ b/desktop/emerald-themes/emerald-themes.SlackBuild
@@ -0,0 +1,95 @@
+#!/bin/sh
+
+# Slackware build script for emerald-themes
+
+# Copyright 2008 David Somero <dsomero@hotmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=emerald-themes
+VERSION=0.5.2
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --with-docdir=/usr/doc/$PRGNAM-$VERSION \
+ --enable-static=no \
+ --build=$ARCH-slackware-linux \
+ --host=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+if [ -d $PKG/usr/man ]; then
+ ( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+ )
+fi
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING* ChangeLog INSTALL NEWS README* \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/desktop/emerald-themes/emerald-themes.info b/desktop/emerald-themes/emerald-themes.info
new file mode 100644
index 0000000000..ccd9f64e94
--- /dev/null
+++ b/desktop/emerald-themes/emerald-themes.info
@@ -0,0 +1,8 @@
+PRGNAM="emerald-themes"
+VERSION="0.5.2"
+HOMEPAGE="http://compiz-fusion.org/"
+DOWNLOAD="http://releases.compiz-fusion.org/0.5.2/emerald-themes-0.5.2.tar.gz"
+MD5SUM="f732a6186be4f91f730733b2ffd9009a"
+MAINTAINER="David Somero"
+EMAIL="dsomero@hotmail.com"
+APPROVED="rworkman"
diff --git a/desktop/emerald-themes/slack-desc b/desktop/emerald-themes/slack-desc
new file mode 100644
index 0000000000..71748887e0
--- /dev/null
+++ b/desktop/emerald-themes/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler----------------------------------------------|
+emerald-themes: emerald-themes (Extra themes for the emerald)
+emerald-themes:
+emerald-themes: Extra themes for the emerald window decorator.
+emerald-themes:
+emerald-themes:
+emerald-themes:
+emerald-themes:
+emerald-themes:
+emerald-themes:
+emerald-themes:
+emerald-themes: